HTTP/2 通信ができなくなった!を解決した!

HTTP/2通信にしていたはずなのに・・・

いつか身につけた知識で HTTP/2 に対応したはずだった、弊社サーバ。

今日、なにげなくデベロッパーモードで見たら

おんやぁ〜〜!?
http/1.1 にもどっとるやないかーーーい。

これはヤバイってことで調査。
通常確認する nginx のバージョン と openssl のバージョン

nginx/1.12.2

OpenSSL 1.0.2k-fips

ふむふむ、通常 1.9.5 以上であれば良いという nginx …問題なし

1.0.2 以上の OpenSSL …こちらも問題ないでしょう。

あれれれれれ

なぜ!? Why? どして!? Why?

答えは意外なところに

フタを開けたらものすごく「なんだよ!!」的なことだった…

こちらのブログと同じだったのですが…

Avast (アバスト)の ウェブシールド OFF (無効)にしたらすんなり解決した。

もう〜
全然わからなかった〜。上記のブログに感謝です!!

ありがとうございましたっ!!

この記事が気に入ったら
いいね ! しよう